#include <math.h> 

#ifdef _SINCOS_
void sincos();
#define SINCOS(x,s,c)   sincos(x,&s,&c)
#else
double sin(), cos();
#define SINCOS(x,s,c)   s=sin(x);c=cos(x)
#endif

void      rotation_to_angles (double *R, double *w);
void      angles_to_rotation (double *w, double *R);
